<div class="container">
    <app-nav-bar></app-nav-bar>
    <div class="mat-card-container">
        <mat-card class="mat-card">
            <mat-card-header>
                <mat-card-title>Checkout</mat-card-title>
                <mat-card-subtitle>This is the summary of your shopping cart</mat-card-subtitle>
            </mat-card-header>
            <mat-card-content>
                <div class="info-container">
                    <mat-chip-list>
                        <mat-chip color="primary" selected>Total: {{price$ | async | number : '1.0-2'}}$ </mat-chip>
                    </mat-chip-list>
                    <mat-chip-list>
                        <mat-chip color="accent" selected>Products count: {{countProducts$ | async}} </mat-chip>
                    </mat-chip-list>
                </div>
            </mat-card-content>
        </mat-card>
    </div>
    <button type="button"    
        mat-raised-button
        (click)="showCompleteCardWarning()"
        class="button">
        <span>Complete Cart</span>
    </button>
    <div class="grid-wrapper">
        <app-products-table
            class="table"
            [items$]="items$"
            [columnDefs]="columnDefsProducts">
        </app-products-table>
    </div>
</div>